{% extends "dashboard/base.html" %}
{% load i18n %}
{% load bootstrap %}
{% load static %}
{% block stylesheet %}
<link href="{% static 'css/plugins/chosen/bootstrap-chosen.css' %}" rel="stylesheet">

<link rel="stylesheet" type="text/css" href="{% static 'css/plugins/select2/select2.min.css' %}">
{% endblock stylesheet %}
{% block breadcrumb %}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>{% trans "Load Data" %}</h2>
        <ol class="breadcrumb">
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Dashboard" %}</a>
            </li>
            <li>
                <a href="{% url 'teacher_list' %}">{% trans "Load Carreer" %}</a>
            </li>
            <li class="active">
                <strong>{% trans "Load Data" %}</strong>
            </li>
        </ol>
    </div>
    <div class="col-lg-2">

    </div>
</div>

{% endblock breadcrumb %}

{% block content %}
<div class="row">

    <div class="col-md-12">
        <div class="ibox">
            <div class="ibox-title navy-bg">
                <h5 style="font-size:20px;">Cargar</h5>
            </div>
            <div class="ibox-content">
                <div class="row center-block">
                    <form action="" class="form-horizontal" method="POST">
                        <div class="form-group" id="paso1">
                            <label class="col-md-1 control-label" for="carreers">Carrera: </label>
                            <div class="col-md-9">
                                <select class="chosen-select form-control m-b" name="carreers" id="carreers">
                                    <option value=" " selected>Elija la carrera a cargar</option>
                                </select>
                            </div>
                            <div class="col-md-2">
                                <button type="button" id="confirm" class="btn btn-primary">Confirmar <i class="fa fa-check"></i></button>
                            </div>
                        </div>
                        <div class="hr-line-dashed"></div>
                        <div class="form-group" >
                            <div class="col-md-offset-1 col-md-4 animated fadeInLeft" id="paso2" hidden>
                                <div class="input-group m-b">
                                    <input class="form-control" type="text" id="codigo"placeholder="Ingrese el código de Proyecto de Título">
                                    <span class="input-group-btn">
                                        <button id="agregar" type="button" class="btn btn-primary"><i class="fa fa-plus"></i></button> 
                                    </span> 
                                </div>
                            </div>
                            <div class="col-md-6 animated fadeInRight" id="cont-table" hidden>
                                <table class="table table-bordered">
                                    <thead>
                                    <tr>
                                        <th class="col-md-2">Código</th>
                                        <th class="col-md-6">Nombre</th>
                                        <th class="col-md-1">Acción</th>
                                    </tr>
                                    </thead>
                                    <tbody id="tabla-info">
                                    
                                    </tbody>
                                </table>
                            </div>
                            <div class="col-md-12 animated fadeIn" id="paso3" hidden>
                                <span id="validar" class="btn-success btn btn-block"><i class="fa fa-check"></i> Aceptar</span>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

{% endblock content %}

{% block javascript %}

<script src="{% static 'js/plugins/chosen/chosen.jquery.js' %}"></script>
<script>
    $(document).ready(function(){
        var data = {
            csrfmiddlewaretoken: "{{ csrf_token }}",
        }
		$.ajax({
			type:"POST",
			url: "{% url 'get_carreers' %}",
			data: data,
			success: function(response){
				console.log(response);
                for (var i=0;i<response.carreers.length;i++){
                    var carreer = response.carreers[i];
                    var html = "<option value='"+carreer[1]+"'>"+carreer[0]+"</option>";
                    console.log(html);
                    $('#carreers').append(html);
                    $('.chosen-select').trigger("chosen:updated");
                }
			},
			error: function(error){
				console.log(error);
			}

		});
        
        $('.chosen-select').chosen({width: "100%"});
    });

    $("#confirm").click(function(){
        $(this).prop("disabled",true);
        $("#carreers").prop("disabled",true).trigger("chosen:updated");
        $("#paso2").show();
    });

    $("#tabla-info").change(function(){
        console.log("paso");
    });
    $("#agregar").click(function(){
        var codigo = $("#codigo").val();
        var data = {csrfmiddlewaretoken: "{{ csrf_token }}",
                    code: codigo};
        $.ajax({
			type:"POST",
			url: "{% url 'validate_subject' %}",
			data: data,
			success: function(response){
				$("#tabla-info").append(response.html);
			},
			error: function(error){
				console.log(error);
			}

		});

        if ($("#cont-table").is(":visible") == false) {
            $("#cont-table").show();
        };
        $("#paso3").show();
    })

    $("#validar").click(function(){
        var codes = []
        $(".codigo").each(function(){
            codes.push($(this).data("code"));
        });
        console.log(codes);
        var data = {csrfmiddlewaretoken: "{{ csrf_token }}",
                    carreer_pk: $("#carreers").val(),
                    codes:codes};
        $.ajax({
			type:"POST",
			url: "{% url 'bypass_carreer' %}",
			data: data,
			success: function(response){
				console.log(response);
			},
			error: function(error){
				console.log(error);
			}

		});

    });

    $(document).on("click",".eliminar",function(){
        $(this).parent().parent().remove();
        if ($("tr").length < 2) {
            console.log($("tr").length);
            $("#cont-table").hide();
            $("#paso3").hide();
        }
    })
</script>

{% endblock javascript %}
